{% extends 'sponsor_authed_base.html' %}

{% block main %}
    <div class="full-column">
        <h2>Adjust tier</h2>
        <form action="{{ url_for('.account_post') }}" target="_self" method="POST">  {# nosemgrep #}
            {% for price in pricing[::-1] %}
                <input type="radio" id="{{ price[2] }}" name="tier" value="{{ price[2] }}" {{ "checked" if price[2] == selected }}/>  {# nosemgrep #}
                <label for="{{ price[2] }}">{{ price[1] }} ({{ "$%.0f"|format(price[0]/100) }}/month)</label><br />
            {% endfor %}
            {% if active != None %}
                <button>Update sponsorship</button>
            {% else %}
                <button>Sponsor</button>
            {% endif %}
        </form>
        {% if active != None %}
        <form action="{{ url_for('.account_cancel') }}" target="_self" method="POST">  {# nosemgrep #}
            <button class="redbutton">Cancel sponsorship</button>
        </form>
        {% endif %}
        <div class="small-print">
            Any changes to sponsorship tier will take effect from the renewal date. If you’d prefer for it to be prorated please contact us.<br />
            If you’ve changed your mind and would like a refund please contact us immediately, all refund requests made within the billing cycle will be honoured in full (minus any processing fees).
            We reserve the right to refuse a sponsorship, in which case the rejected sponsorship funds would be returned (minus any processing fees).
        </div>
    </div>
    {% if active %}
        <div class="half-width-right">
            <h2>Your payment details</h2>
            Current tier:   {{ current }}<br />
            Renewal tier:   {{ active.plan.nickname }}<br />
            Renewal date:   {{ active.current_period_end | ctime }}<br />
            Renewal amount: {{ "$%.0f"|format(active.plan.amount/100) }}<br />
        </div>
    {% endif %}
{% endblock %}